# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: algo.proto
"""Generated protocol buffer code."""
from google.protobuf.internal import builder as _builder
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\nalgo.proto\x12\x04\x61lgo\"\x1c\n\x0b\x41lgoRequest\x12\r\n\x05\x63ount\x18\x01 \x01(\x05\"\x1c\n\tAlgoReply\x12\x0f\n\x07message\x18\x01 \x01(\x05\x32@\n\x04\x41lgo\x12\x38\n\x10GetBestPlacement\x12\x11.algo.AlgoRequest\x1a\x0f.algo.AlgoReply\"\x00\x62\x06proto3')

_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, globals())
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'algo_pb2', globals())
if _descriptor._USE_C_DESCRIPTORS == False:

  DESCRIPTOR._options = None
  _ALGOREQUEST._serialized_start=20
  _ALGOREQUEST._serialized_end=48
  _ALGOREPLY._serialized_start=50
  _ALGOREPLY._serialized_end=78
  _ALGO._serialized_start=80
  _ALGO._serialized_end=144
# @@protoc_insertion_point(module_scope)
